Bug 1468620 - Nova cannot configure MTU for DPDK ports; sets to default MTU.
Nova cannot configure MTU for DPDK ports; sets to default MTU.
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
10.0 (Newton)
x86_64 Linux
high Severity high
: z4
: 10.0 (Newton)
Assigned To: Sahid Ferdjaoui
awaugama
: Triaged, ZStream
Depends On: 1447081
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 10:50 EDT by Vincent S. Cojot
Modified: 2017-08-22 11:36 EDT (History)
15 users (show)

See Also:
Fixed In Version: openstack-nova-14.0.7-10.el7ost
Doc Type: Bug Fix
Doc Text:
Cause: When using DPDK ports, the MTU passed by Neutron to Nova is not take into account. Consequence: The ports are configured to a default value which may not match what is expected (for example,jumbo frames).
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 111931 None None None 2017-07-11 06:45 EDT

  None (edit)
Description Vincent S. Cojot 2017-07-07 10:50:31 EDT
Description of problem:

on OSP10 DPDK, VM instances on DPDK never get the MTU of the ovs bridge they get attached to.
3 backports were identified as being needed. This BZ is to track the openstack-nova backport ([2])

[0] 7a5eb34bd697b7e4cf5e0d5e48e3ec84ff11effa
[1] f3130fe8e23fb07532bb3d740fffaf07481c1e70
[2] 43565ffb9785f6e4848a001cc4be5cec91bfeab1

Note You need to log in before you can comment on or make changes to this bug.